Subject: bug#43389: 28.0.50; Emacs memory leaks

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 09 Dec 2020 21:25:37 +0100

"Jose A. Ortega Ruiz" <[email-masked]> writes:

> Neither am i :) Actually, i just observed the pattern above (RAM going
> up by 1Mb/sec bringing total memory from 300Mb to 800Mb, then stopping)
> before starting Gnus.  So i guess that, if Gnus plays any role, it must
> be indirectly.

I haven't been following this thread closely, but it strikes me as
puzzling that there's a lot of people seeing these leaks -- and there's
also many people (like me) that don't see these leaks at all.  (And I
have Emacsen running for weeks on end, doing all sorts of odd stuff.)

Has anybody tried compiling a list of features people who see the leaks
are using?  Not that there's really any good way of gathering that data,
but ...  Like, helm is known for using lots of memory, and eww can, too,
under some circumstances, and so can image caching...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no